package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrInstrumentCalibration;

/**
 * 仪校验Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrInstrumentCalibrationMapper
{
    /**
     * 查询仪校验
     *
     * @param id 仪校验ID
     * @return 仪校验
     */
    public TPssrInstrumentCalibration selectTPssrInstrumentCalibrationById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询仪校验列表
     *
     * @param tPssrInstrumentCalibration 仪校验
     * @return 仪校验集合
     */
    
    public List<TPssrInstrumentCalibration> selectTPssrInstrumentCalibrationList(TPssrInstrumentCalibration tPssrInstrumentCalibration);

    /**
     * 新增仪校验
     *
     * @param tPssrInstrumentCalibration 仪校验
     * @return 结果
     */
    public int insertTPssrInstrumentCalibration(TPssrInstrumentCalibration tPssrInstrumentCalibration);

    /**
     * 修改仪校验
     *
     * @param tPssrInstrumentCalibration 仪校验
     * @return 结果
     */
    public int updateTPssrInstrumentCalibration(TPssrInstrumentCalibration tPssrInstrumentCalibration);
    public int updateTPssrInstrumentCalibrationByIds(TPssrInstrumentCalibration tPssrInstrumentCalibration);


    /**
     * 删除仪校验
     *
     * @param id 仪校验ID
     * @return 结果
     */
    public int deleteTPssrInstrumentCalibrationById(Long id);

    /**
     * 批量删除仪校验
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrInstrumentCalibrationByIds(Long[] ids);
}
